<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Ejercicio 8</title>
	<style type="text/css">
	.ocultar{
		width: 100%;
		height: 100%;
		position: fixed;
		top: 0px;
		left: 0px;
		z-index: 100;
		background-color: rgba(14,169,235,1.00);
		background-size: 80% 80%;
		background-position: center center;
		background-repeat: no-repeat;
	}


	</style>
	<script type="text/javascript">
	//cuando realice clic sobre una foto se debe mostrar la caja con clase ocultar y colocarle como imagen de fondo la foto sobre la que se haya realizado clic. en la función ejecutar.
	window.onload=cargar;

	let fotos = [
		"1",
		"2",
		"3",
		"4",
		"5",
		"6",
		"7",
		"8"
	];

	let imagenes = [];

	function cargar(){
		for(let c=0; c<fotos.length; c++){
			imagenes[c] = new Image();
			imagenes[c].src = "images/"+fotos[c]+".jpg";
		}

		for(let c=0; c<fotos.length; c++){
			document.querySelectorAll(".cards")[c].src="images/"+fotos[c]+".jpg";
		}

		for(let c=0; c<fotos.length; c++){
			document.querySelectorAll(".cards")[c].onclick=ejecutar;
		}

		document.querySelectorAll(".ocultar").style.display = "none";		
	}

	function ejecutar(event){
		let indice = event.target.getAttribute("data-indice");
		let caja = document.querySelector(".ocultar");

		caja.style.backgroundImage = "url('"+imagenes[indice].src+"')";
		caja.style.display = "block";
	}


	</script>
</head>
<body>
	<div class="thumbnail">
		<a href="#"><img data-indice="1" src="images/1.jpg" alt="imagen" width="2000" class="cards"/></a>
	</div>

	<div class="thumbnail">
		<a href="#"><img data-indice="2" src="images/2.jpg" alt="imagen" width="2000" class="cards"/></a>
	</div>

	<div class="thumbnail">
		<a href="#"><img data-indice="3" src="images/3.jpg" alt="imagen" width="2000" class="cards"/></a>
	</div>

	<div class="thumbnail">
		<a href="#"><img data-indice="4" src="images/4.jpg" alt="imagen" width="2000" class="cards"/></a>
	</div>

	<div class="thumbnail">
		<a href="#"><img data-indice="5" src="images/5.jpg" alt="imagen" width="2000" class="cards"/></a>
	</div>

	<div class="thumbnail">
		<a href="#"><img data-indice="6" src="images/6.jpg" alt="imagen" width="2000" class="cards"/></a>
	</div>

	<div class="thumbnail">
		<a href="#"><img data-indice="7" src="images/7.jpg" alt="imagen" width="2000" class="cards"/></a>
	</div>

	<div class="thumbnail">
		<a href="#"><img data-indice="8" src="images/8.jpg" alt="imagen" width="2000" class="cards"/></a>
	</div>
	
	<div class="ocultar">
		
	</div>
</body>
</html>